# version

Show IPFS version information.

#### REQUEST[​](https://docs.infura.io/networks/ipfs/http-api-methods/version#request) <a href="#request" id="request"></a>

* Syntax
* Example

```bash
curl "https://ipfs.krypc.io:5001/api/v0/version?number=<value>&commit=<value>&repo=<value>&all=<value>" \
    -X POST \
    -u "<API_KEY>:<API_KEY_SECRET>"
```

**REQUEST PARAMS**[**​**](https://docs.infura.io/networks/ipfs/http-api-methods/version#request-params)

* `number` *\[Optional]* - Only show the version number.
* `commit` *\[Optional]* - Show the commit hash.
* `repo` *\[Optional] -* Show repo version.
* `all` *\[Optional]* - Show all version information.

#### RESPONSE[​](https://docs.infura.io/networks/ipfs/http-api-methods/version#response) <a href="#response" id="response"></a>

On success, the call to this endpoint returns with 200 and the following body:

**BODY**[**​**](https://docs.infura.io/networks/ipfs/http-api-methods/version#body)

```
{
  "Commit": "string",
  "Golang": "string",
  "Repo": "string",
  "System": "string",
  "Version": "string"
}
```

as
